Bug 878026 - CVE-2012-5534 weechat (scripts / plug-ins): Arbitrary code execution due to call of shell when executing command within hook_process [fedora-all]
CVE-2012-5534 weechat (scripts / plug-ins): Arbitrary code execution due to c...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: weechat (Show other bugs)
17
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul P Komkoff Jr
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-5534
  Show dependency treegraph
 
Reported: 2012-11-19 08:39 EST by Jan Lieskovsky
Modified: 2012-11-29 01:18 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-27 00:11:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-11-19 08:39:26 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Jan Lieskovsky 2012-11-19 08:39:34 EST
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=878025,878026
Comment 2 Fedora Update System 2012-11-19 09:33:54 EST
weechat-0.3.8-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/weechat-0.3.8-4.fc16
Comment 3 Fedora Update System 2012-11-19 09:34:19 EST
weechat-0.3.8-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/weechat-0.3.8-4.fc17
Comment 4 Fedora Update System 2012-11-19 09:34:38 EST
weechat-0.3.8-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/weechat-0.3.8-4.fc18
Comment 5 Fedora Update System 2012-11-19 14:33:46 EST
Package weechat-0.3.8-4.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing weechat-0.3.8-4.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-18494/weechat-0.3.8-4.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-11-27 00:11:12 EST
weechat-0.3.8-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-11-28 22:58:12 EST
weechat-0.3.8-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-11-29 01:09:19 EST
weechat-0.3.8-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-11-29 01:18:20 EST
weechat-0.3.8-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.